com.mysql.cj.protocol

## Class NetworkResources

- java.lang.Object
- - com.mysql.cj.protocol.NetworkResources

    public class NetworkResources
    extends Object

### Field Summary

Fields
`private Socket` `mysqlConnection`
`private InputStream` `mysqlInput`
`private OutputStream` `mysqlOutput`

### Constructor Summary

Constructors
Constructor and Description
`NetworkResources(Socket mysqlConnection, InputStream mysqlInput, OutputStream mysqlOutput)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `forceClose()` Forcibly closes the underlying socket to MySQL.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mysqlConnection

    private final Socket mysqlConnection

#### mysqlInput

    private final InputStream mysqlInput

#### mysqlOutput

    private final OutputStream mysqlOutput

### Constructor Detail

#### NetworkResources

    public NetworkResources(Socket mysqlConnection,
                            InputStream mysqlInput,
                            OutputStream mysqlOutput)

### Method Detail

#### forceClose

    public final void forceClose()

Forcibly closes the underlying socket to MySQL.

Copyright © 2016, 2023, Oracle and/or its affiliates.